.StepProgress {
  position: relative;
  padding-left: 45px;
  list-style: none;

  &::before {
    display: inline-block;
    content: '';
    position: absolute;
    top: 0;
    left: 15px;
    width: 10px;
    height: 100%;
    border-left: 2px solid #CCC;
  }

  &-item {
    position: relative;
    counter-increment: list;

    &:not(:last-child) {
      padding-bottom: 5rem;
    }

    &::before {
      display: inline-block;
      content: '';
      position: absolute;
      left: -30px;
      height: 100%;
      width: 0px;
    }

    &::after {
      content: '';
      display: inline-block;
      position: absolute;
      top: 0;
      left: -39px;
      width: 20px;
      height: 20px;
      border: 2px solid #CCC;
      border-radius: 50%;
      background-color: #FFF;
    }

    &.is-done {
      &::before {
        border-left: 2px solid #1A237E !important;
      }

      &::after {
        content: "\2713";
        font-size: 10px;
        color: #fff;
        text-align: center;
        border: 2px solid #1A237E !important;
        background-color: #1A237E !important;
      }
    }

    &.current {
      &::before {
        border-left: 2px solid #ccc;
      }

      &::after {
        content: '';
        padding-top: 1px;
        width: 20px;
        height: 20px;
        top: 0px;
        left: -39px;
        font-size: 10px;
        text-align: center;
        color: #1A237E !important;
        border: 2px solid #1A237E !important;
        background-color: white;
      }
    }
  }

  strong {
    display: block;
  }
}
